![Cambridge Banner](https://t-sp.in/public/img/cambridge.png)

Cambridge
=========

Welcome to Cambridge, the next open-source falling-block game engine!

The project is written and maintained exclusively by [Milla](https://github.com/MillaBasset), [joezeng](https://github.com/joezeng) and [Oshisaure](https://github.com/oshisaure)!  

The Discord server has been reopened! https://discord.gg/AADZUmgsph

The game also has a website now with more detail than seen on this README: https://t-sp.in/cambridge

Playing the game
----------------

### Windows

You do not need LÖVE on Windows, as it comes bundled with the program.  

#### Stable release

To get the stable release, simply download either `cambridge-win32.zip` (32-bit) or `cambridge-windows.zip` (64-bit) in the [latest release](https://github.com/MillaBasset/cambridge/releases/latest).  

All assets needed are bundled with the executable.

#### Bleeding edge

If you want the bleeding edge version, download [this](https://github.com/MillaBasset/cambridge/archive/master.zip).

Extract the ZIP, open a Command Prompt at the folder you extracted Cambridge to, then run this command:

	dist\windows\love.exe .

Alternatively, if you're on a 32-bit system, run this instead:

	dist\win32\love.exe .

32-bit systems do not support rich presence integration.

Then, check the mod pack section at the bottom of this page.

### macOS, Linux

If you haven't already, install `love` with your favourite package manager (Homebrew on macOS, your system's default on Linux). **Make sure you're using LÖVE 11, because it won't work with earlier versions!**

#### Downloading a release

You can download the .love file in the latest release, and run it with:

    love cambridge.love

#### Installing from source

Clone the repository in git:

	git clone https://github.com/MillaBasset/cambridge

Alternatively, download the source code ZIP in the latest release.

Then, navigate to the root directory that you just cloned, and type:

	love .

It should run automatically!

## Installing modpacks

For instructions on how to install modpacks, go to [this](https://github.com/MillaBasset/cambridge-modpack) mod pack to get a taste of the mod potential.

License
-------

The Cambridge project is licensed under the MIT license (included in LICENSE.md).

Some code and assets in this repository are contributed by members of the
community, as well as borrowed from other places, either with licensing
or as placeholders until suitable material can be found that is properly
licensed. Their original sources, and copyright notices if applicable, are
listed in the file SOURCES.

Credits
-------

- [Lilla Oshisaure](https://www.youtube.com/user/LeSpyroshisaure) for being my co-dev!
- [joezeng](https://github.com/joezeng) for the original project, and for offering to help with the expansion!
- [The Tetra Legends Discord](http://discord.com/invite/7hMx5r2) for supporting me and playtesting!
- [The Absolute Plus](https://discord.gg/6Gf2awJ) for being another source of motivation!

More special thanks can be found in-game, under the "Credits" menu.

Other Notable Games
-------------------

- [TGMsim](https://github.com/2Tie/TGMsim) by 2Tie
- [Multimino](https://gamejolt.com/games/multimino/556683) by Axel Fox
- [Tetra Legends](https://tetralegends.app) by Dr Ocelot
- [ZTrix](https://discord.gg/MGhqCBDGNH) by Electra
- [Shiromino](https://github.com/shiromino/shiromino) by Felicity/nightmareci/kdex
- [Cursed Blocks](https://github.com/Manabender/Cursed-Blocks) by Manabender
- Picoris 1/2 by MarkGamed
- [Tetra Online](https://github.com/Juan-Cartes/Tetra-Offline) by Mine
- [Techmino](https://discord.gg/6Yuww44tq8) by MrZ
- [TETR.IO](https://tetr.io) by osk
- [Master of Blocks](https://discord.gg/72FZ49mjWh) by Phoenix Flare
- [Spirit Drop](https://rayblastgames.com/spiritdrop.php) by RayRay26
- [stackfuse](https://github.com/sinefuse/stackfuse) by sinefuse

![Cambridge Logo](https://cdn.discordapp.com/attachments/625496179433668635/763363717730664458/Icon_2.png)
